<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [growthAnalyzeSecurity](./bitburner.ns.growthanalyzesecurity.md)

## NS.growthAnalyzeSecurity() method

Calculate the security increase for a number of grow threads.

**Signature:**

```typescript
growthAnalyzeSecurity(threads: number, host?: string, cores?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  threads | number | Amount of threads that will be used. |
|  host | string | _(Optional)_ Optional. Hostname/IP of the target server. If provided, security increase is limited by the number of threads needed to reach maximum money. |
|  cores | number | _(Optional)_ Optional. The number of cores of the server that would run grow. |

**Returns:**

number

The security increase.

## Remarks

RAM cost: 1 GB

Returns the security increase that would occur if a grow with this many threads happened.

